### Function

# Gio AsyncInitable new_async

since: 2.22

#### Declaration

    void
    g_async_initable_new_async (
      GType object_type,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data,
      const gchar* first_property_name,
      ...
    )

#### Description

Helper function for constructing `GAsyncInitable` object. This is similar to `g_object_new()` but also initializes the object asynchronously.

When the initialization is finished, `callback` will be called. You can then call `g_async_initable_new_finish()` to get the new object and check for any errors.

Available since: 2.22

This function is not directly available to language bindings.

#### Parameters

`object_type`

  Type: `GType`

  A `GType` supporting `GAsyncInitable`.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the operation.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the initialization is finished.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`first_property_name`

  Type: `const gchar*`

  The name of the first property, or `NULL` if no properties.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The value of the first property, followed by other property value pairs, and ended by `NULL`.